From e7298eb0402a979e43964d30d670dba528fb803e Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Fri, 3 Jul 2009 10:38:59 +0200
Subject: [PATCH] Disable warnings are errors for ARM (alignment warnings)

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 gnome-power-manager-warn-not-error-ARM.patch |   11 +++++++++++
 gnome-power-manager.spec                     |   15 +++++++++++++--
 2 files changed, 24 insertions(+), 2 deletions(-)
 create mode 100644 gnome-power-manager-warn-not-error-ARM.patch

diff --git a/gnome-power-manager-warn-not-error-ARM.patch b/gnome-power-manager-warn-not-error-ARM.patch
new file mode 100644
index 0000000..ca26bb3
--- /dev/null
+++ b/gnome-power-manager-warn-not-error-ARM.patch
@@ -0,0 +1,11 @@
+diff -dur gnome-power-manager-2.26.1.backup/configure.ac gnome-power-manager-2.26.1/configure.ac
+--- gnome-power-manager-2.26.1.backup/configure.ac	2009-04-21 06:55:49.000000000 -0400
++++ gnome-power-manager-2.26.1/configure.ac	2009-07-03 05:18:01.086553204 -0400
+@@ -27,7 +27,6 @@
+ 
+ if test "$GCC" = "yes"; then
+ 	WARNINGFLAGS="$WARNINGFLAGS -Wall"
+-	WARNINGFLAGS="$WARNINGFLAGS -Werror"
+ 	WARNINGFLAGS="$WARNINGFLAGS -Wcast-align -Wno-uninitialized"
+ 	WARNINGFLAGS="$WARNINGFLAGS -Wmissing-declarations"
+ 	WARNINGFLAGS="$WARNINGFLAGS -Wredundant-decls"
diff --git a/gnome-power-manager.spec b/gnome-power-manager.spec
index a01cf12..147a0e6 100644
--- a/gnome-power-manager.spec
+++ b/gnome-power-manager.spec
@@ -4,7 +4,7 @@
 Summary: GNOME Power Manager
 Name: gnome-power-manager
 Version: 2.26.1
-Release: 3%{?dist}
+Release: 3%{?dist}.fa1
 License: GPLv2+ and GFDL
 Group: Applications/System
 Source: http://download.gnome.org/sources/gnome-power-manager/2.25/gnome-power-manager-%{version}.tar.gz
@@ -14,6 +14,7 @@ Patch0:    gnome-power-manager-2.26.1-backport-gpp-correctly.patch
 
 # Already upstream: ede53de9e51bc484de2e04fdd90b5e4107b2aba2
 Patch1:    gnome-power-manager-fix-display-blank.patch
+Patch10:   gnome-power-manager-warn-not-error-ARM.patch
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 URL: http://projects.gnome.org/gnome-power-manager/
@@ -64,6 +65,9 @@ change preferences.
 %setup -q
 %patch0 -p1 -b .backport-gpp
 %patch1 -p1 -b .fix-backlight-dpms
+%ifarch %{arm}
+%patch10 -p1 -b .arm
+%endif
 
 %build
 %configure \
@@ -71,7 +75,11 @@ change preferences.
 	--disable-scrollkeeper \
 	--enable-libnotify \
 	--enable-legacy-buttons \
-	--enable-policykit
+	--enable-policykit \
+%ifarch %{arm}
+	--enable-compile-warnings=maximum
+%endif
+
 make
 
 # strip unneeded translations from .mo files
@@ -171,6 +179,9 @@ fi
 %{_datadir}/gnome-2.0/ui/GNOME_InhibitApplet.xml
 
 %changelog
+* Fri Jul 03 2009 Jitesh Shah <jiteshs@marvell.com> - 2.26.1-3.fa1
+- Disable warnings as errors for ARM (alignment warnings)
+
 * Wed May 06 2009 Richard Hughes  <rhughes@redhat.com> - 2.26.1-3
 - Backport a patch from upstream to fix backlight DPMS.
 - Fixes #498041
-- 
1.5.5.6

